classdef estimateobj
    
    properties
    end
    
    methods
        varargout = neighbourhood(varargin)
        varargout = objfunc(varargin)
    end
    
    methods (Access=protected,Hidden)
        varargout = myestimate(varargin)
        varargout = myparamstruct(varargin)
        varargout = myunobsstruct(varargin)
    end
    
    methods (Static,Hidden)
        varargout = diffprior(varargin)
    end
    
end